Module java.corba
Package org.omg.CORBA

## Interface IDLTypeOperations

All Superinterfaces:
  IRObjectOperations

All Known Subinterfaces:
  IDLType

All Known Implementing Classes:
  _IDLTypeStub

    public interface IDLTypeOperations
    extends IRObjectOperations

This interface must be implemented by all IDLType objects. The IDLType is inherited by all IR objects that represent IDL types, including interfaces, typedefs, and anonymous types.

See Also:
  `IDLType`, `IRObject`, `IRObjectOperations`

### Method Summary

All Methods Instance Methods Abstract Methods
`TypeCode` `type()` The type attribute describes the type defined by an object derived from `IDLType`.

### Methods inherited from interface org.omg.CORBA.IRObjectOperations

`def_kind, destroy`

### Method Detail

#### type

    TypeCode type()

The type attribute describes the type defined by an object derived from `IDLType`.

Returns:
  the `TypeCode` defined by this object.